Subject: Re: [ietf-smime] Consistence question of CMS

From: Alfred Hönes <[email-masked]>
Date: Wed, 5 Nov 2008 18:07:55 +0100 (MEZ)

At Mon, 03 Nov 2008 18:21:25 -0500 , Russ Housley wrote:

> I think this is an error.
> I think the end of the RFC 3852 algorithm should be:
>
>              IF (originatorInfo is absent) AND
>                 (unprotectedAttrs is absent) AND
>                 (all RecipientInfo structures are version 0)
>              THEN version is 0
>              ELSE version is 2
>
> Do others agree?
>
> Russ

Yes.  I agree.

But that's by far an easy job, more of re-inventing the wheel:

Looking up my printed copy of RFC 3852, I found a bold question
mark on page 18, vis-a-vis of that algorithm, and an exclamation
mark pointing out the diff from 3369.

Sigh -- admittedly I had to recognize that apparently I never
had found the time to report errata for that RFC ...   :-)

But *you* did, Russ!  ( on 2005-01-22 )

Folks, please look up the result of Russ' error report at:
  <http://www.rfc-editor.org/errata_search.php?rfc=3852&eid=222>

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+